Уязвимость завышения на единицу в Python

Дата публикации:
10.05.2007
Дата изменения:
15.08.2008
Всего просмотров:
1145
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Python 2.2.x
Python 2.3.x
Python 2.4.x
Python 2.5.x
Уязвимые версии: Python 2.4 и 2.5, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю получить доступ к важным данным на системе.

Уязвимость существует из-за ошибки завышения на единицу в функции "PyLocale_strxfrm()" в файле Modules/_localemodule.c. Удаленный пользователь может просмотреть некоторые части памяти.

URL производителя: www.python.org

Решение: Установите последнюю версию (2.5.1) с сайта производителя.

или введите имя

CAPTCHA